Inboxes
List inboxes
Return all inboxes for the organization. On ticket create, inbox_id is optional: omit to route to the default inbox (is_default: true), or provide an inbox ID from this list to target a specific mailbox.
GET
/
organizations
/
{organization_id}
/
inboxes
/
List inboxes
curl --request GET \
--url https://api.initdesk.com/organizations/{organization_id}/inboxes/ \
--header 'X-Initdesk-Token: <api-key>'import requests
url = "https://api.initdesk.com/organizations/{organization_id}/inboxes/"
headers = {"X-Initdesk-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Initdesk-Token': '<api-key>'}};
fetch('https://api.initdesk.com/organizations/{organization_id}/inboxes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"name": "<string>",
"email_prefix": "<string>",
"inbox_email_address": "<string>",
"channel_connections": [
{
"id": 123,
"type": "<string>",
"external_identifier": "<string>",
"is_enabled": true,
"status": "healthy",
"config": {
"author_name_display": true,
"conversation_window_hours": 84,
"reopen_closed_within_window": true
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_default": true,
"enable_auto_reply": true,
"enable_inactivity_reminders": true,
"enable_auto_close_inactive_tickets": true,
"customer_max_inactivity_period": 1073741823,
"customer_inactivity_reminder_period": 1073741823,
"signature": "<string>",
"email_from_name": "<string>",
"customer_interaction_style": "helpdesk"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Authorizations
Path Parameters
Pattern:
^[-a-zA-Z0-9_]+$Query Parameters
A page number within the paginated result set.
Number of results to return per page.
Was this page helpful?
⌘I
List inboxes
